TRYTON(1)

NAME
tryton - Tryton Application Platform (Client)

SYNOPSIS
tryton

DESCRIPTION
Tryton is a high-level general purpose application platform written in Python and using PostgreSQL as database engine. It is the core base of an ERP.

This script starts the GTK+-Client.

OPTIONS
Usage: tryton [options] [url]

When an url is passed, the client will try to find an already running client that could handle it and send it to this one to open the url. If it doesn’t find one then it will start the GUI and open the url itself.

The url schemes are:
tryton://<hostname>[:<port>]/<database>/model/<model name>[/<id>][;parameters]
tryton://<hostname>[:<port>]/<database>/wizard/<wizard name>[;parameters]
tryton://<hostname>[:<port>]/<database>/report/<report name>[;parameters]
where parameters are the corresponding fields of actions encoded in JSON.

--version
    show program's version number and exit
-h, --help
    show this help message and exit
-c CONFIG, --config=CONFIG
    specify alternate config file
-d, --dev
    development mode (caching disabled)
-v, --verbose
    enable verbose mode (logging everything at INFO level)
-l LOG_LEVEL, --log-level=LOG_LEVEL
    specify the log level: DEBUG, INFO, WARNING, ERROR, CRITICAL
-u LOGIN, --user=LOGIN
    specify the login user
-s HOST, --server=HOST
    specify the server hostname:port

SEE ALSO
trytond(1)

HOMEPAGE
More information about the Tryton client and the Tryton project can be found at <http://www.tryton.org/>.

AUTHOR
Tryton client was written by the Tryton project <http://www.tryton.org/>.
This manual page was written by Daniel Baumann <daniel@debian.org> and Mathias Behrle <mbehrle@debian.org>.